const webpack = require('webpack')
const HtmlWebpackPlugin = require('html-webpack-plugin');

module.exports = {
  plugins: [
    new HtmlWebpackPlugin({
      title: 'ipfs',
    }),
    // > Uncaught (in promise) ReferenceError: process is not defined
    // https://github.com/ipfs/js-ipfs/blob/dc041aa3de789290bfc5c1c0b8c2878d8c79186a/examples/browser-webpack/webpack.config.js#L35
    new webpack.ProvidePlugin({
      Buffer: ['buffer', 'Buffer'],
      process: 'process/browser'
    })
  ],
  output: {
    clean: true,
  },
}
